Imagick::recolorImage
Imagick::remapImage
Imagick
PHP Manual

# Imagick::reduceNoiseImage

Smooths the contours of an image

### Description

bool Imagick::reduceNoiseImage ( float `$radius` )

Smooths the contours of an image while still preserving edge information. The algorithm works by replacing each pixel with its neighbor closest in value. A neighbor is defined by radius. Use a radius of 0 and Imagick::reduceNoiseImage() selects a suitable radius for you.

### Parameters

`radius`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.